<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>NetworkInterface</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>NetworkInterface</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLClass"></span>
                    UMLClass
                </span>
                
                    <span style="margin-left: 10px" class="alert alert-info">«»</span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='18b43419b9dea961cb61ac360f9c9963.html'><span class='node-icon _icon-UMLClass'></span>NetworkInterface</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            
                
                


                
                


                
                


                
                


                
                

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            
            <section>
                <h3>Attributes</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Type</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="51635a7a6291ad945aebe53bef5a5ee3.html">MAC</a></td>
                        <td>String</td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="20432fc4496c9b5876c60d85baef1a34.html">Port</a></td>
                        <td>Integer</td>
                        <td><p>Port number in Host owning this interface</p></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="d3fd1dcee1083479b55a88bcccd96d94.html">Type</a></td>
                        <td>String</td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="6403a4988e555d75c20c30425c0219e8.html">CurrentSpeed</a></td>
                        <td>Integer</td>
                        <td><p>Speed in Mbps</p></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="47d45513a0bd2a80a187cec35dcd758d.html">MaxSpeed</a></td>
                        <td>Integer</td>
                        <td><p>Speed in Mbps</p></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="dce82827e1762370f20a0cfc39aab3f1.html">Status</a></td>
                        <td><a href='d621f4f8f3b6b54080e009e1a39f7d26.html'>InterfaceStatus</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Operations -->

            
            <section>
                <h3>Operations</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="e8e8fca10e3f48bb812c76e1bdee7e00.html">setMAC()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="9acf725299d2e98fd5db198967591b40.html">getMAC()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="779273e320da6bc9569735daab943333.html">setPort()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="9481fe40ce8ad7e62dca316fec7f5a26.html">getPort()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="5a9e9acf9a13a48c503dcd35cf2b95d7.html">setType()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="2c64fde29d9d60662560c33243db26c6.html">getType()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="049f68d140e4e09b650354311c0020de.html">setCurrentSpeed()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="03ea72594b3a35d5187b9c48085ae407.html">getCurrentSpeed()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="ab8e68e367ea5d2ba960ad1b01201964.html">setMaxSpeed()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="77d411932e3efe364753ecf2b8b163e9.html">getMaxSpeed()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="dda2d0b7359acd50ad4faa4a8a63432c.html">setStatus()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="2e48375ee3c8e4216fb5a0de090d8270.html">getStatus()</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>NetworkInterface</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='b10e7eb14ac94ebdfd21770dcc3e3c03.html'><span class='node-icon _icon-UMLAssociation'></span>(NetworkInterface—Node)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='b10e7eb14ac94ebdfd21770dcc3e3c03.html'><span class='node-icon _icon-UMLAssociation'></span>(NetworkInterface—Node)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
